Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590021 - smbclient segfaults when connecting to rhel5 samba server
Summary: smbclient segfaults when connecting to rhel5 samba server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 14:29 UTC by Ales Zelinka
Modified: 2010-11-11 14:55 UTC (History)
2 users (show)

Fixed In Version: samba-3.5.2-58.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 14:55:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
backtrace (deleted)
2010-05-07 14:32 UTC, Ales Zelinka
no flags Details
coredump (deleted)
2010-05-07 14:35 UTC, Ales Zelinka
no flags Details

Description Ales Zelinka 2010-05-07 14:29:59 UTC
Description of problem:
$ smbclient '\\10.34.32.197\share' -U guest% -c ls
Domain=[WINLANDG] OS=[Unix] Server=[Samba 3.0.28-1.el5_2.1]
Server not using user level security and no password supplied.
Segmentation fault (core dumped)

This works well with smbclient from rhel5.

Version-Release number of selected component (if applicable):
samba-client-3.5.2-57.el6.i686

server:
samba-3.0.28-1.el5_2.1
config:
[global]
	workgroup = WINLANDG
	security = SHARE
	passdb backend = tdbsam
[share]
	path = /var/lib/samba-share
	read only = No
	guest ok = Yes

Comment 1 Ales Zelinka 2010-05-07 14:32:02 UTC
Created attachment 412364 [details]
backtrace

Comment 2 Ales Zelinka 2010-05-07 14:35:36 UTC
Created attachment 412365 [details]
coredump

Comment 3 Dmitri Pal 2010-05-10 14:13:38 UTC
Already fixed upstream.

Comment 7 releng-rhel@redhat.com 2010-11-11 14:55:54 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.